ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Conor MacNeill <co...@cortexebusiness.com.au>
Subject Re: Ant 2 et al.
Date Tue, 09 Jul 2002 16:16:26 GMT

On Wednesday, July 10, 2002, at 02:07 , Erik Hatcher wrote:

> ----- Original Message -----
> From: "Conor MacNeill" <conor@cortexebusiness.com.au>
>
>> Adding namespace support is not a backward compatible change, though
>> <project name="test" default="test">
>>    <target name="test">
>>      <taskdef name="test:echo"
>> classname="org.apache.tools.ant.taskdefs.Echo"/>
>>      <test:echo message="hello"/>
>>    </target>
>> </project>
>
> I don't understand how this is not backwards compatible?  As long as 
> newer
> versions of Ant can run older build files, that is backwards 
> compatibility.
> But older versions of Ant cannot be expected to run newer build files.  
> Or
> am I missing something here?
>

Let's say in Ant 1.6 we want to add Nicola Ken's <import> task but we 
wish to use namespaces to avoid collisions - i.e. <ant:import>. So we 
turn on namespaces. The above build file will then fail with an XML 
parser error (undeclared namespace at test:echo). So we can't run an old 
build file with the new version of Ant. We could have an option to turn 
on namespace support but it means this user cannot import this build 
file.

Conor

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message